/***************************************************************************
 *   Copyright (C) 2007 by Lisandro Damián Nicanor Pérez Meyer             *
 *   perezmeyer@gmail.com                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "pine.h"

Pine::Pine()
 : GraphicPrimitive()
{
	trunkMatrix.setValue(0, 0, 0.03);
	trunkMatrix.setValue(1, 1, 0.07);
	trunkMatrix.setValue(1, 2, -3.5);

	leavesMatrix.setValue(0, 0, 0.14);
	leavesMatrix.setValue(1, 1, 0.24);
	leavesMatrix.setValue(1, 2, -12.0);
}

void Pine::draw(Matrix3X3 * incomingMatrix, QPainter * painter)
{
	Matrix3X3 * temp;

	temp = incomingMatrix->multiplyToTheRight(trunkMatrix);
	trunk.draw(temp, painter);
	delete temp;

	temp = incomingMatrix->multiplyToTheRight(leavesMatrix);
	leaves.draw(temp, painter);
	delete temp;
}


