/***************************************************************************
 *   Copyright (C) 2007 by Lisandro Damián Nicanor Pérez Meyer   *
 *   perezmeyer@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "rocket.h"
#include <math.h>
#include <QDebug>

Rocket::Rocket() : GraphicPrimitive()
{
	// The body is a triangle a little larger
	bodyMatrix.setValue(0, 0, 0.5);
	bodyMatrix.setValue(1, 1, 11.0/(10.0*sqrt(3)));
	// The wings are small triangles
	rightWingMatrix.setValue(0, 0, 0.25);
	rightWingMatrix.setValue(0, 2, 66.0);
	rightWingMatrix.setValue(1, 1, 0.25);
	rightWingMatrix.setValue(1, 2, 20.0);

	leftWingMatrix.setValue(0, 0, 0.25);
	leftWingMatrix.setValue(0, 2, -66.0);
	leftWingMatrix.setValue(1, 1, 0.25);
	leftWingMatrix.setValue(1, 2, 20.0);
}

void Rocket::draw(Matrix3X3 * incomingMatrix, QPainter* painter)
{
	Matrix3X3 * temp;

	temp = incomingMatrix->multiplyToTheRight(bodyMatrix);
	body.draw(temp, painter);
	delete temp;

	temp = incomingMatrix->multiplyToTheRight(rightWingMatrix);

	rightWing.draw(temp, painter);
	delete temp;

	temp = incomingMatrix->multiplyToTheRight(leftWingMatrix);
	leftWing.draw(temp, painter);
	delete temp;
}

