/***************************************************************************
 *   Copyright (C) 2007 by Lisandro Damián Nicanor Pérez Meyer             *
 *   perezmeyer@gmail.com                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "triangle.h"
#include <QPointF>
#include <QPen>
#include <QDebug>

Triangle::Triangle()
{
	first = QPointF(100.0, 0.0);
	second = QPointF(-100.0, 0.0);
	third = QPointF(0.0, -173.2050808);
}

void Triangle::draw(Matrix3X3 * incomingMatrix, QPainter * painter)
{
	// Draw the square
	painter->setPen(QColor(0, 0, 0));

	painter->drawLine(incomingMatrix->multiplyPoint(first),
	                  incomingMatrix->multiplyPoint(second));
	painter->drawLine(incomingMatrix->multiplyPoint(second),
	                  incomingMatrix->multiplyPoint(third));
	painter->drawLine(incomingMatrix->multiplyPoint(third),
	                  incomingMatrix->multiplyPoint(first));

}


